Debian Bug report logs - #703188
ITP: ruby-pygments.rb -- pygments wrapper for Ruby

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Per Andersson <avtobiff@gmail.com>

Date: Sat, 16 Mar 2013 15:15:02 UTC

Owned by: Per Andersson <avtobiff@gmail.com>

Severity: wishlist

Fixed in version ruby-pygments.rb/0.5.4~ds1-1

Done: Per Andersson <avtobiff@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Sat, 16 Mar 2013 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 16 Mar 2013 15:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-pygments.rb -- pygments wrapper for Ruby
Date: Sat, 16 Mar 2013 16:13:16 +0100
Subject: ITP: ruby-pygments.rb -- pygments wrapper for Ruby
Package: wnpp
Owner: Per Andersson <avtobiff@gmail.com>
Severity: wishlist

* Package name    : ruby-pygments.rb
  Version         : 0.4.2~git.20130316.f82642a
  Upstream Author : Aman Gupta <aman@tmm1.net>
                    Ted Nyman <ted@ted.io>
* URL             : http://github.com/tmm1/pygments.rb
* License         : MIT/Expat
  Programming Lang: Ruby, Python
  Description     : pygments wrapper for Ruby

 A Ruby wrapper for the Python pygments syntax highlighter.
 .
 pygments.rb works by talking over a simple pipe to a long-lived Python child
 process. This library replaces albino, as well as a version of pygments.rb
 that used an embedded Python interpreter.
 .
 Each Ruby process that runs has its own 'personal Python'; for example, 4
 Unicorn workers will have one Python process each.  If a Python process dies,
 a new one will be spawned on the next pygments.rb request.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 06 Jun 2013 08:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Thu, 15 Aug 2013 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Aug 2013 15:54:04 GMT) Full text and rfc822 format available.

Message #12 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 703188@bugs.debian.org
Subject: Package rejected from NEW
Date: Thu, 15 Aug 2013 17:50:59 +0200
The package uploaded to NEW was rejected. The notes from the rejection
are being worked on at the moment.

Also, I am going to push the the Gitlab markup code in the bundled
pygments code to pygments upstream. Thus making it possible to remove
the bundled code altogether and use the pygments package in Debian.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Fri, 24 Jan 2014 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Wagner <mero@merovius.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 24 Jan 2014 18:24:05 GMT) Full text and rfc822 format available.

Message #17 received at 703188@bugs.debian.org (full text, mbox):

From: Axel Wagner <mero@merovius.de>
To: 703188@bugs.debian.org
Subject: Any progress?
Date: Fri, 24 Jan 2014 19:16:02 +0100
Hi,

there has been 5 months since the last activity on this bug and afaict
there has been no changes to the packaging either. Are there still
efforts of fixing the package behind the scenes? ruby-pygments.rb is a
dependency of the new upstream version of jekyll, so we would like to
see this happen. If there is anything I can do to speed this up, please
let me know.

Best,

Axel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Fri, 21 Feb 2014 13:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 21 Feb 2014 13:00:05 GMT) Full text and rfc822 format available.

Message #22 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Offer to sponsor ruby-pygments.rb
Date: Fri, 21 Feb 2014 13:52:58 +0100
Axel, if you're willing to take over packaging of ruby-pygments.rb, I'll find 
the time to sponsor this package.

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Fri, 21 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Wagner <mero@merovius.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 21 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Message #27 received at 703188@bugs.debian.org (full text, mbox):

From: Axel Wagner <mero@merovius.de>
To: dod@debian.org, 703188@bugs.debian.org
Subject: Re: Offer to sponsor ruby-pygments.rb
Date: Fri, 21 Feb 2014 17:00:01 +0100
Hi Dominique,

Dominique Dumont <dod@debian.org> writes:
> Axel, if you're willing to take over packaging of ruby-pygments.rb, I'll find 
> the time to sponsor this package.

thanks, that is very kind. If I'm correct the way to move forward would
be addressing the issues raised in [1]? I will have a look at that
tomorrow then.

Best,

Axel

[1] http://lists.alioth.debian.org/pipermail/pkg-ruby-extras-maintainers/2013-July/015643.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Fri, 21 Feb 2014 17:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 21 Feb 2014 17:27:10 GMT) Full text and rfc822 format available.

Message #32 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Axel Wagner <mero@merovius.de>
Cc: 703188@bugs.debian.org
Subject: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Fri, 21 Feb 2014 18:16:13 +0100
On Friday 21 February 2014 17:00:01 Axel Wagner wrote:
> If I'm correct the way to move forward would
> be addressing the issues raised in [1]? 

Yes. The are serious, but easy to fix issues.

Thanks for your help

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Sun, 23 Feb 2014 14:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Sun, 23 Feb 2014 14:15:10 GMT) Full text and rfc822 format available.

Message #37 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Axel Wagner <mero@merovius.de>, 703188@bugs.debian.org
Subject: Re: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Sun, 23 Feb 2014 15:12:24 +0100
[Message part 1 (text/plain, inline)]
Hello Axel

Please keep the original debian bug in copy for reference

On Sunday 23 February 2014 02:42:45 you wrote:
> • vendor/custom_lexers/github.py has a bsd-license mentioned in the
> header, but there is no LICENSE file or verbatim license in the
> header. I read over several docs about the copyright-file and especially
> [1] makes me think that I should approach upstream about that (I put a
> bsd-license field in the copyright-file for this file but lintian wants
> the license verbatim). Would you concur, or is there a simpler way?

I concur. Looks like the author is charliesome @ github:

https://github.com/tmm1/pygments.rb/tree/master/vendor/custom_lexers

You can ask confirmation to charliesome and ask which bsd he wants (2, 3 or 4-
clause BSD) [1], mention that accurate licensing is important for Debian 
project. 

> • tests/test_data.py has no licensing information whatsoever because it
> appears to be taken directly from some third party project and has no
> licensing header. Here I am pretty sure that I have to check with
> upstream if they have a proper license.

Uh ? There's:

# This file is part of gunicorn released under the MIT license.
# See the NOTICE for more information.

Looks like this file was copied from (may be an older version of):

https://github.com/benoitc/gunicorn/blob/master/gunicorn/arbiter.py

So you can reuse the copyright data from gunicorn package

> • The ruby-pygments.rb thingy is a little puzzeling, but seems not to be
> too important. It seems to be due to the fact that the gem is really
> called pygments.rb. There is one other such case in the archive,
> ruby-http-parser.rb (not to be confused with ruby-http-parser), so I
> think this is going to be all right.

Yes, the file is trivial. 

Usually, when a file has no legal info, I use the general (c)/license 
mentioned by the authors in the root directory of the package. Unless there 
are reasons to believe that the file comes from another source. But I don't 
think this is the case for lib/pygments.rb.

HTH

[1] https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Sun, 23 Feb 2014 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Wagner <mero@merovius.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Sun, 23 Feb 2014 19:36:05 GMT) Full text and rfc822 format available.

Message #42 received at 703188@bugs.debian.org (full text, mbox):

From: Axel Wagner <mero@merovius.de>
To: Dominique Dumont <dod@debian.org>, 703188@bugs.debian.org
Subject: Re: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Sun, 23 Feb 2014 20:32:10 +0100
Hi,

I'll hunt down proper licenses for these two files then.

>> • The ruby-pygments.rb thingy

This obviously wasn't really clear. I was refering to a comment in the
rejection notes about the name of the package (ruby-pygments.rb as
opposed to ruby-pygments). I agree with Gergely Nagy, that this is a
little bit puzzling, but warranted given that the gem is called that.

Best,

Axel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Mon, 24 Feb 2014 08:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Mon, 24 Feb 2014 08:03:05 GMT) Full text and rfc822 format available.

Message #47 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Mon, 24 Feb 2014 09:01:05 +0100
On Sunday 23 February 2014 20:32:10 Axel Wagner wrote:
> I agree with Gergely Nagy, that this is a
> little bit puzzling, but warranted given that the gem is called that.

Agreed. Better stick with a consistent naming with respect to upstream gem 
names. Even if the resulting name is lackluster.

We faced a similar issue in perl group and ended up with package ending with 
-perl-perl :-/, like  libmodern-perl-perl. 

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Fri, 28 Feb 2014 14:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Wagner <mero@merovius.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 28 Feb 2014 14:03:08 GMT) Full text and rfc822 format available.

Message #52 received at 703188@bugs.debian.org (full text, mbox):

From: Axel Wagner <mero@merovius.de>
To: dod@debian.org, 703188@bugs.debian.org
Subject: Re: Bug#703188: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Fri, 28 Feb 2014 14:59:55 +0100
Hi Dominique,

I think the open issues should be fixed now. Could you please have a
look and upload if appropriate?

Best,

Axel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Mon, 03 Mar 2014 08:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Mon, 03 Mar 2014 08:54:04 GMT) Full text and rfc822 format available.

Message #57 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Axel Wagner <mero@merovius.de>, 703188@bugs.debian.org
Cc: debian-ruby@lists.debian.org
Subject: Re: Bug#703188: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Mon, 03 Mar 2014 09:42:30 +0100
On Friday 28 February 2014 14:59:55 Axel Wagner wrote:
> I think the open issues should be fixed now. Could you please have a
> look and upload if appropriate?

I had a quick look. There are still some issues:

control:
- you should put yourself in uploader
- update standards version to 3.9.5


copyright:
- The copyright clause for vendor/pygments-main/*. Specifying "The pygment 
team" as copyright owner is dubious, this is not people and not a company. 
vendor/pygments-main/AUTHORS contains more information. You should specify the 
3 main people and refer to this file in a Comment line.
- The MIT license you mention should have "Expat" short-name. See
   https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification "There are many versions of the MIT license. Please use Expat 
instead, when it matches."
- you can add yourself in debian/* clause

May be add a comment in copyright file mentioning that vendors/pygments-main 
and vendors/simplejson are not used (disabled by patch 0002-Don-t-set-
PYGMENTS_PATH-and-remove-sys.path-appends)

Please add headers to debian patches. You can use 'cme edit dpkg' to edit 
these headers. Ideally, you should explain the rationale of each patch in 
their headers.



All the best



-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Mon, 03 Mar 2014 22:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Mar 2014 22:24:04 GMT) Full text and rfc822 format available.

Message #62 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Axel Wagner <mero@merovius.de>, 703188@bugs.debian.org
Cc: dod@debian.org
Subject: Re: Bug#703188: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Mon, 3 Mar 2014 23:17:22 +0100
Hi!

Nice that you picked up this work!


On Fri, Feb 28, 2014 at 2:59 PM, Axel Wagner <mero@merovius.de> wrote:
> Hi Dominique,
>
> I think the open issues should be fixed now. Could you please have a
> look and upload if appropriate?

debian/rules: removal of bundled jquery.js is from obsolete -doc package,
update to current binary package.


There is also the issue of the custom lexer for github markup from
pygments in vendors, I can't see that this is resolved in current packaging.

Since the idea is to use this for GitLab where ruby-github-markup will
use this custom lexer IIRC, this needs to go somewhere. In the current
packaging, the bundled pygments is not used at all in favour for
python-pygments in Debian (debian/patches/0002-...).

My intention was to push this custom lexer upstream.

    https://github.com/tmm1/pygments.rb/pull/77

Another way is of course to add this to the Debian pygments package (if
pygments upstream won't allow custom lexers as stated in the pull request).


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Mon, 17 Mar 2014 13:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Mon, 17 Mar 2014 13:03:10 GMT) Full text and rfc822 format available.

Message #67 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 703188@bugs.debian.org, Per Andersson <avtobiff@gmail.com>
Cc: Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Mon, 17 Mar 2014 13:59:52 +0100
Hello

Sorry for the late reply, last week was vacation time.

On Monday 03 March 2014 23:17:22 Per Andersson wrote:
> My intention was to push this custom lexer upstream.
> 
>     https://github.com/tmm1/pygments.rb/pull/77
> 
> Another way is of course to add this to the Debian pygments package (if
> pygments upstream won't allow custom lexers as stated in the pull request).

That would be the fastest solution to get ruby-pygments.rb out.

Another possibility is to create an upsream project containing your custom 
lexer and package it in another Debian package.

Thoughts ?

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Tue, 25 Mar 2014 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Tue, 25 Mar 2014 08:12:04 GMT) Full text and rfc822 format available.

Message #72 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 703188@bugs.debian.org, Per Andersson <avtobiff@gmail.com>
Cc: Axel Wagner <mero@merovius.de>, Debian Ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Mon, 24 Mar 2014 16:46:18 +0100
On Monday 03 March 2014 23:17:22 Per Andersson wrote:
> There is also the issue of the custom lexer for github markup from
> pygments in vendors, I can't see that this is resolved in current packaging.
> 
> Since the idea is to use this for GitLab where ruby-github-markup will
> use this custom lexer IIRC, this needs to go somewhere.

For the record, newer version of jekyll also require ruby-pygments.rb. And 
gitlab is not required for jekyll.

> In the current
> packaging, the bundled pygments is not used at all in favour for
> python-pygments in Debian (debian/patches/0002-...).
> 
> My intention was to push this custom lexer upstream.
> 
>     https://github.com/tmm1/pygments.rb/pull/77
> 
> Another way is of course to add this to the Debian pygments package (if
> pygments upstream won't allow custom lexers as stated in the pull request).

I guess that you meant adding gitlab stuff to python-pygments package, not 
ruby-pygments.rb...

Anyway, here's the status as I understand it:
- gitlab custom lexer won't be merged in upstream ruby-pygments
- gitlab custom lexer won't be merged in upstream python-pygments
- python-pygment has some plugin mechanism (see
  /usr/share/doc/python-pygments/plugins.html)

Possible solutions:
- create a package (upstream or debian) for gitlab custom lexer. In theory 
  python-pygment plugin can be used to load gitlab lexer in python-pygment.
- patch Debian's python-pygments to include gitlab custom lexer (without
  using the plugin mechanism)
- package ruby-pygment.rb without gitlab lexer

From a technical point of view (and for our user), the first solution is 
probably the best.

But I don't have the skill and the time to implement it. Unless someone steps 
up, I'm going to implement the latter solution.

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Wed, 26 Mar 2014 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Wed, 26 Mar 2014 18:15:05 GMT) Full text and rfc822 format available.

Message #77 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Sytse Sijbrandij <sytse@gitlab.com>, 703188@bugs.debian.org
Subject: Re: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Wed, 26 Mar 2014 19:11:40 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 25 March 2014 17:08:43 Sytse Sijbrandij wrote:
> Responding here since I only just subscribed to the mailinglist.
> 
> Did you know that we dropped pygments for highlight.js in our previous
> release?

No. This means that we need not to worry about the gitlab lexer.

Thanks for the heads up.

Best regards

Dominique 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Thu, 27 Mar 2014 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sytse Sijbrandij <sytse@gitlab.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Thu, 27 Mar 2014 14:57:05 GMT) Full text and rfc822 format available.

Message #82 received at 703188@bugs.debian.org (full text, mbox):

From: Sytse Sijbrandij <sytse@gitlab.com>
To: Dominique Dumont <dod@debian.org>
Cc: 703188@bugs.debian.org
Subject: Re: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Thu, 27 Mar 2014 15:52:16 +0100
You're welcome, let me know if there is anything else.

On Wed, Mar 26, 2014 at 7:11 PM, Dominique Dumont <dod@debian.org> wrote:
> On Tuesday 25 March 2014 17:08:43 Sytse Sijbrandij wrote:
>> Responding here since I only just subscribed to the mailinglist.
>>
>> Did you know that we dropped pygments for highlight.js in our previous
>> release?
>
> No. This means that we need not to worry about the gitlab lexer.
>
> Thanks for the heads up.
>
> Best regards
>
> Dominique



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Mon, 31 Mar 2014 14:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dominique.dumont@hp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Mon, 31 Mar 2014 14:00:05 GMT) Full text and rfc822 format available.

Message #87 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dominique.dumont@hp.com>
To: debian-ruby@lists.debian.org
Cc: 703188@bugs.debian.org, Per Andersson <avtobiff@gmail.com>, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Mon, 31 Mar 2014 15:57:11 +0200
Hello

Package build of ruby-pygments.rb version 91f0ef32d7accf4de83e099d164781c48d523a8f 
works, well sort of works.


The package build and test do not return errors. But 2 pythons processes go 
on running 100% CPU for tens of seconds after the package build is finished.

The running processes are:
python2 [...]/pkg-ruby-extras/build-area/ruby-pygments.rb-0.5.0~git.20130605.84c69a1/lib/pygments/mentos.py
python2 [...]/pkg-ruby-extras/build-area/ruby-pygments.rb-0.5.0~git.20130605.84c69a1/lib/pygments/mentos.py

So something is seriously wrong in the way ruby-pygments is controlling
the python-pygments processes.

I don't think reasonable to send this package to Debian build system until 
this problem is fixed.

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Wed, 02 Apr 2014 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Apr 2014 18:42:05 GMT) Full text and rfc822 format available.

Message #92 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: dod@debian.org
Cc: 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>, Debian Ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Wed, 2 Apr 2014 20:39:06 +0200
On Mon, Mar 24, 2014 at 4:46 PM, Dominique Dumont <dod@debian.org> wrote:
> On Monday 03 March 2014 23:17:22 Per Andersson wrote:
>> There is also the issue of the custom lexer for github markup from
>> pygments in vendors, I can't see that this is resolved in current packaging.
>>
>> Since the idea is to use this for GitLab where ruby-github-markup will
>> use this custom lexer IIRC, this needs to go somewhere.
>
> For the record, newer version of jekyll also require ruby-pygments.rb. And
> gitlab is not required for jekyll.

Ok.


>> In the current
>> packaging, the bundled pygments is not used at all in favour for
>> python-pygments in Debian (debian/patches/0002-...).
>>
>> My intention was to push this custom lexer upstream.
>>
>>     https://github.com/tmm1/pygments.rb/pull/77
>>
>> Another way is of course to add this to the Debian pygments package (if
>> pygments upstream won't allow custom lexers as stated in the pull request).
>
> I guess that you meant adding gitlab stuff to python-pygments package, not
> ruby-pygments.rb...

Yes.


> Anyway, here's the status as I understand it:
> - gitlab custom lexer won't be merged in upstream ruby-pygments

It is in the upstream pygments.rb source tree.


> - gitlab custom lexer won't be merged in upstream python-pygments

This is how I have understood it.


> - python-pygment has some plugin mechanism (see
>   /usr/share/doc/python-pygments/plugins.html)

Nice find!


> Possible solutions:
> - create a package (upstream or debian) for gitlab custom lexer. In theory
>   python-pygment plugin can be used to load gitlab lexer in python-pygment.
(...)
> From a technical point of view (and for our user), the first solution is
> probably the best.
>
> But I don't have the skill and the time to implement it. Unless someone steps
> up, I'm going to implement the latter solution.

IIRC the github custom lexer is only one file right?

I can have a look at pygments plugin and talk with upstream also if they might
want to include the github markup lexer.


--
Per


> All the best
>
> --
>  https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
> http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Wed, 02 Apr 2014 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Apr 2014 20:21:04 GMT) Full text and rfc822 format available.

Message #97 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: dod@debian.org
Cc: 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>, Debian Ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#703188: Offer to sponsor ruby-pygments.rb
Date: Wed, 2 Apr 2014 22:16:39 +0200
On Wed, Apr 2, 2014 at 8:39 PM, Per Andersson <avtobiff@gmail.com> wrote:
> On Mon, Mar 24, 2014 at 4:46 PM, Dominique Dumont <dod@debian.org> wrote:
>> On Monday 03 March 2014 23:17:22 Per Andersson wrote:
>>
>> Possible solutions:
>> - create a package (upstream or debian) for gitlab custom lexer. In theory
>>   python-pygment plugin can be used to load gitlab lexer in python-pygment.
> (...)
>> From a technical point of view (and for our user), the first solution is
>> probably the best.
>>
>> But I don't have the skill and the time to implement it. Unless someone steps
>> up, I'm going to implement the latter solution.
>
> IIRC the github custom lexer is only one file right?
>
> I can have a look at pygments plugin and talk with upstream also if they might
> want to include the github markup lexer.

I looked at the actual source and the github lexer implements four
custom lexers:

* Dasm16
* Puppet
* TOML
* Augeas

Puppet is supported by pygments nowadays, and the others are not widely used
that I know of.

I say we ship ruby-pygments without the github custom lexer.

If someone is interested in getting Debian's ruby-pygments to support Dasm16,
TOML, or Augeas; they can push for getting these parts of the github
lexer included
in pygments upstream.

Should have looked at the code earlier...


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Wed, 02 Apr 2014 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Apr 2014 22:33:04 GMT) Full text and rfc822 format available.

Message #102 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Dominique Dumont <dominique.dumont@hp.com>
Cc: debian-ruby <debian-ruby@lists.debian.org>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Thu, 3 Apr 2014 00:28:46 +0200
On Mon, Mar 31, 2014 at 3:57 PM, Dominique Dumont
<dominique.dumont@hp.com> wrote:
>
> Hello
>
> Package build of ruby-pygments.rb version 91f0ef32d7accf4de83e099d164781c48d523a8f
> works, well sort of works.
>
>
> The package build and test do not return errors. But 2 pythons processes go
> on running 100% CPU for tens of seconds after the package build is finished.
>
> The running processes are:
> python2 [...]/pkg-ruby-extras/build-area/ruby-pygments.rb-0.5.0~git.20130605.84c69a1/lib/pygments/mentos.py
> python2 [...]/pkg-ruby-extras/build-area/ruby-pygments.rb-0.5.0~git.20130605.84c69a1/lib/pygments/mentos.py
>
> So something is seriously wrong in the way ruby-pygments is controlling
> the python-pygments processes.
>
> I don't think reasonable to send this package to Debian build system until
> this problem is fixed.

I found out what causes this problem: for some reason popen4 dose not
report the correct pid (or some such) and it is not killed correctly. The cpu
pegging can be reproduced by running the test case
test_returns_nil_on_timeout.

I have created a fix and forwarded it for upstream inclusion

    https://github.com/tmm1/pygments.rb/pull/119

When this is accepted upstream I intend to go forth with repackaging
the upstream tarball and removing the vendor directory entirely.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Thu, 03 Apr 2014 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Thu, 03 Apr 2014 14:57:05 GMT) Full text and rfc822 format available.

Message #107 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Per Andersson <avtobiff@gmail.com>
Cc: debian-ruby <debian-ruby@lists.debian.org>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Thu, 03 Apr 2014 16:53:47 +0200
On Thursday 03 April 2014 00:28:46 Per Andersson wrote:
> I have created a fix and forwarded it for upstream inclusion
> 
>     https://github.com/tmm1/pygments.rb/pull/119
> 
> When this is accepted upstream I intend to go forth with repackaging
> the upstream tarball and removing the vendor directory entirely.

Hmm, looks like this pb revolves around the adaptation done upstream to cope 
with Debian idiosyncrasies.

Instead of pushing upstream to cope with Debian, I'd rather let upstream keep 
thing simple (and portable). Then as Debian packager, I would create patches 
to adapt upstream to Debian.

For instance, here's what I've done with Config::Model (as upstream) and 
libconfig-model-perl (as packager): 
* Upstream cme program begins with '#!/usr/bin/env perl'. 
* This line is patched during packaging so Debian's version of cme begins with 
  '#!/usr/bin/perl'.

Hope this helps

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Thu, 03 Apr 2014 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sytse Sijbrandij <sytse@gitlab.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Thu, 03 Apr 2014 15:03:07 GMT) Full text and rfc822 format available.

Message #112 received at 703188@bugs.debian.org (full text, mbox):

From: Sytse Sijbrandij <sytse@gitlab.com>
To: Dominique Dumont <dod@debian.org>
Cc: Per Andersson <avtobiff@gmail.com>, debian-ruby <debian-ruby@lists.debian.org>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Thu, 3 Apr 2014 16:58:22 +0200
Just to make sure, everyone is aware that GitLab no longer includes
Pygments? We switched to Highlight.js in 6.6
https://gitlab.com/gitlab-org/gitlab-ce/blob/8cc5e85543b0a553536ebe70f01fa29e0b0f60bd/CHANGELOG#L80

On Thu, Apr 3, 2014 at 4:53 PM, Dominique Dumont <dod@debian.org> wrote:
> On Thursday 03 April 2014 00:28:46 Per Andersson wrote:
>> I have created a fix and forwarded it for upstream inclusion
>>
>>     https://github.com/tmm1/pygments.rb/pull/119
>>
>> When this is accepted upstream I intend to go forth with repackaging
>> the upstream tarball and removing the vendor directory entirely.
>
> Hmm, looks like this pb revolves around the adaptation done upstream to cope
> with Debian idiosyncrasies.
>
> Instead of pushing upstream to cope with Debian, I'd rather let upstream keep
> thing simple (and portable). Then as Debian packager, I would create patches
> to adapt upstream to Debian.
>
> For instance, here's what I've done with Config::Model (as upstream) and
> libconfig-model-perl (as packager):
> * Upstream cme program begins with '#!/usr/bin/env perl'.
> * This line is patched during packaging so Debian's version of cme begins with
>   '#!/usr/bin/perl'.
>
> Hope this helps
>
> --
>  https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
> http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org
>
>
> --
> To UNSUBSCRIBE, email to debian-ruby-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: https://lists.debian.org/6752323.pD64sYRzgg@ylum
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Thu, 03 Apr 2014 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Thu, 03 Apr 2014 15:06:05 GMT) Full text and rfc822 format available.

Message #117 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: debian-ruby@lists.debian.org
Cc: Sytse Sijbrandij <sytse@gitlab.com>, Per Andersson <avtobiff@gmail.com>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Thu, 03 Apr 2014 17:02:48 +0200
On Thursday 03 April 2014 16:58:22 Sytse Sijbrandij wrote:
> Just to make sure, everyone is aware that GitLab no longer includes
> Pygments? We switched to Highlight.js in 6.6

Sure. But jekyll still needs ruby-pygments.rb 

All the best
-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Thu, 03 Apr 2014 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Apr 2014 23:33:04 GMT) Full text and rfc822 format available.

Message #122 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: dod@debian.org
Cc: debian-ruby <debian-ruby@lists.debian.org>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Fri, 4 Apr 2014 01:29:59 +0200
On Thu, Apr 3, 2014 at 4:53 PM, Dominique Dumont <dod@debian.org> wrote:
> On Thursday 03 April 2014 00:28:46 Per Andersson wrote:
>> I have created a fix and forwarded it for upstream inclusion
>>
>>     https://github.com/tmm1/pygments.rb/pull/119
>>
>> When this is accepted upstream I intend to go forth with repackaging
>> the upstream tarball and removing the vendor directory entirely.
>
> Hmm, looks like this pb revolves around the adaptation done upstream to cope
> with Debian idiosyncrasies.

I have not tested this on anything other then Debian but it looks like
a regression
to me.

The pull request actually removes Debian specific invokation. Check the comment
for the python_binary method.


> Instead of pushing upstream to cope with Debian, I'd rather let upstream keep
> thing simple (and portable). Then as Debian packager, I would create patches
> to adapt upstream to Debian.

I am using it to patch the Debian package. If upstream decides to
include it: great!
If not, we carry the patch.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#703188; Package wnpp. (Fri, 04 Apr 2014 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 04 Apr 2014 07:21:05 GMT) Full text and rfc822 format available.

Message #127 received at 703188@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: debian-ruby@lists.debian.org
Cc: Per Andersson <avtobiff@gmail.com>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Fri, 04 Apr 2014 09:19:10 +0200
On Friday 04 April 2014 01:29:59 Per Andersson wrote:
> The pull request actually removes Debian specific invokation. Check the
> comment for the python_binary method.

got it.

> I am using it to patch the Debian package. If upstream decides to
> include it: great!
> If not, we carry the patch.

Fine with me.

Thanks for finishing up the work and uploading. :-)

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703188; Package wnpp. (Fri, 04 Apr 2014 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Apr 2014 18:51:05 GMT) Full text and rfc822 format available.

Message #132 received at 703188@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: dod@debian.org
Cc: debian-ruby <debian-ruby@lists.debian.org>, 703188@bugs.debian.org, Axel Wagner <mero@merovius.de>
Subject: Re: Bug#703188: Test issues with ruby-pygments.rb
Date: Fri, 4 Apr 2014 20:46:31 +0200
On Fri, Apr 4, 2014 at 9:19 AM, Dominique Dumont <dod@debian.org> wrote:
> On Friday 04 April 2014 01:29:59 Per Andersson wrote:
>> The pull request actually removes Debian specific invokation. Check the
>> comment for the python_binary method.
>
> got it.
>
>> I am using it to patch the Debian package. If upstream decides to
>> include it: great!
>> If not, we carry the patch.
>
> Fine with me.
>
> Thanks for finishing up the work and uploading. :-)

Thank you for motivating me. I lost momentum during summer when it got
rejected the first time. Did proper research this time around. :-)


Best,
Per



Reply sent to Per Andersson <avtobiff@gmail.com>:
You have taken responsibility. (Mon, 07 Apr 2014 13:03:09 GMT) Full text and rfc822 format available.

Notification sent to Per Andersson <avtobiff@gmail.com>:
Bug acknowledged by developer. (Mon, 07 Apr 2014 13:03:09 GMT) Full text and rfc822 format available.

Message #137 received at 703188-close@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 703188-close@bugs.debian.org
Subject: Bug#703188: fixed in ruby-pygments.rb 0.5.4~ds1-1
Date: Mon, 07 Apr 2014 13:00:08 +0000
Source: ruby-pygments.rb
Source-Version: 0.5.4~ds1-1

We believe that the bug you reported is fixed in the latest version of
ruby-pygments.rb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703188@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Per Andersson <avtobiff@gmail.com> (supplier of updated ruby-pygments.rb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 04 Apr 2014 03:44:10 +0200
Source: ruby-pygments.rb
Binary: ruby-pygments.rb
Architecture: source all
Version: 0.5.4~ds1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Per Andersson <avtobiff@gmail.com>
Description: 
 ruby-pygments.rb - pygments wrapper for Ruby
Closes: 703188
Changes: 
 ruby-pygments.rb (0.5.4~ds1-1) unstable; urgency=low
 .
   * Initial release (Closes: #703188)
Checksums-Sha1: 
 b7d8dab15013b6166188cc5b1e84f6b4f1c6821d 2201 ruby-pygments.rb_0.5.4~ds1-1.dsc
 dbed8a255add7d712b5280334e6e42cee70e5308 93122 ruby-pygments.rb_0.5.4~ds1.orig.tar.gz
 0702b14007ecfb73cbf7819be61133fdff7ea870 6408 ruby-pygments.rb_0.5.4~ds1-1.debian.tar.xz
 f724e4178790193152bd027fbd9407a67cc38e4f 55946 ruby-pygments.rb_0.5.4~ds1-1_all.deb
Checksums-Sha256: 
 764d2dd4a4453313f3fe97d757562e3cedd0f062b68cba9697acb7e00afbddce 2201 ruby-pygments.rb_0.5.4~ds1-1.dsc
 2cfe52fd1accb6e23cf0de0b10a8f367e690a8b20adb1778df86593a2c9fcae9 93122 ruby-pygments.rb_0.5.4~ds1.orig.tar.gz
 92de8ad9576c5184b29d1ca7e4d914954c96c48f47d29652ddb62b52476ddc55 6408 ruby-pygments.rb_0.5.4~ds1-1.debian.tar.xz
 cc31838886a468d3690a557fd39af1f28fc8e704b9f5fe9263a98d487b4ce746 55946 ruby-pygments.rb_0.5.4~ds1-1_all.deb
Files: 
 bad262f2a1fa7d10db89965fd926da3e 2201 ruby optional ruby-pygments.rb_0.5.4~ds1-1.dsc
 c7faad093302069caea2fa4c9564458c 93122 ruby optional ruby-pygments.rb_0.5.4~ds1.orig.tar.gz
 bbea1d2fb1f4cf5fe374b3ebe81d207e 6408 ruby optional ruby-pygments.rb_0.5.4~ds1-1.debian.tar.xz
 5df2cabc77a60a1f7f61779470ccc8db 55946 ruby optional ruby-pygments.rb_0.5.4~ds1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTPhRqAAoJELGIrlV59JL4+tAP/j0WG11kYtZux9GXkXYVFyz+
MJrmH9ibKKKNVbDkMvMplfvDNLiWqZg+CIMwO+aCkgDETJ/yx1GWu5f9/tnzv6rV
1SGaZoJ8fWzgQymGq2SeYD5pJDyRdHah22NctGyS13qlXEyPbiJHYCTxkJ4YcW49
vRvRXaFOPrOI5NbYz5lU1Pv9nAB+6BqrWOOl9RTQHN3xk29DIzWKFifwuqWvizHr
qgxFt0RidS8aigNlIerwx7wbXqlPqmDTDz0AqyeUNNXGmTwVslI+HnJP11no6C4U
MJD43ila36kb1sB3N27Iz3iKriqG1m6ScgKWuo6GbiRLDRTxAkOtsNSIXU/K+vY+
Fg1vc9LoNwTNbsCBNkbES+1bgSefHC21+e03LwS43GUmCYOoJcaV2vN6SjfHqpQg
ShVUYfpX50AZqV8lIBMjWUvgHEiN5nwOyqezMAUIdd58ByMADWzT9vPrHnomG3In
xKDchG3VC1loM7s+2vYOza3Lh/KngxzNtU114RGSWjgk+ZFYuqkEW+Qs0lS8650X
ikTfZQiDlBwHDaiA0XNWwq6uDCVzhe/oHWrmE9LPHQuqt/RAWUVZFmyfyaBTCTIN
s0B5aD4SqeDf49rnV66mTKGYiqCF4ycOLAKtlMK1HqH3bt5xmw5f4zTpITibsOvF
zDJKiSDTzpQCfju4ARQ9
=Kgke
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:04:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.